'ui.bi
'
#ifndef _UI_UI_BI__
#define _UI_UI_BI__ -1

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE not(FALSE)
#endif

#include once "mud-gui/widgets/basewidget.bi"

#inclib "mudgui-core"

namespace ui

const as uinteger MAJOR_VERSION = 0
const as uinteger MINOR_VERSION = 0
const as uinteger PATCH_VERSION = 1
const as string VERSION = MAJOR_VERSION & "." & MINOR_VERSION & "." & PATCH_VERSION

enum TIMER_E
	ONESHOT = 0
	REPEAT
	DISABLE
	ENABLE
	REMOVE
end enum

enum ALIGNMENT explicit
	default = 0
	topleft
	topcenter
	topright
	left
	center
	right
	bottomleft
	bottomcenter
	bottomright
end enum

type custom_bg_func as sub( byval as any ptr )

declare sub addTimer( byval widget as BaseWidget ptr, _
			byval time_ as double, byval interval as TIMER_E )

declare function setFocus( byval widget as BaseWidget ptr ) as BaseWidget ptr
declare sub clearFocus( )

declare sub setCustomBackgroundProvider( byval as custom_bg_func, byval _data_ as any ptr )

declare function stepMain( byval mw as BaseWidget ptr = 0 ) as integer
declare function RunGui( byval mw as BaseWidget ptr ) as integer

end namespace

#endif
