#include once "mud-gui/ui.bi"
#include once "mud-gui/gclass.bi"
#include once "mud-gui/util.bi"
#include once "mud-gui/event.bi"
#include once "mud-gui/widgets/basewidget.bi"
#Include Once "mud-gui/widgets/PushButton.bi"
#Include Once "mud-gui/widgets/GridLayout.bi"
#Include Once "mud-gui/widgets/LineEdit.bi"

#inclib "mudgui-stdwidgets"

#IFNDEF __UI_WIDGETS_INTSPINBOX_BI__
#DEFINE __UI_WIDGETS_INTSPINBOX_BI__ 1

namespace ui

gclass(IntSpinBox)


	declare constructor ( byval parent as BaseWidget ptr = 0, ByVal _val_ As integer = 0, byval _step_ as integer = 1 )

	DEF_PROPERTY( step_, integer )
	DEF_PROPERTY( minimum, integer )
	DEF_PROPERTY( maximum, integer )
	DEF_PROPERTY( rollover, ubyte )
	DEF_BPROPERTY( value, integer )

	'signals
	Declare STATIC_SLOT(resize_handler)
	Declare STATIC_SLOT(m_up_clicked)
	Declare STATIC_SLOT(m_down_clicked)
	
	
	As GridLayout Ptr m_gl
	As PushButton Ptr m_up, m_down
	As LineEdit Ptr m_le

endgclass


end Namespace

#ENDIF
