#include once "mud-gui/ui.bi"
#include once "mud-gui/gclass.bi"
#include once "mud-gui/util.bi"
#include once "mud-gui/event.bi"
#include once "mud-gui/widgets/basewidget.bi"

#inclib "mudgui-stdwidgets"

namespace ui

gclass(Label)


	declare constructor ( byval parent as BaseWidget ptr = 0, byref _str_ as string = "" )
	
	DEF_PROPERTY(alignment, ui.alignment )
	DEF_BPROPERTY(minimumWidth, integer )
	DEF_BPROPERTY(minimumHeight, integer )
	DEF_BYREF_PROPERTY( text, string )

	'signals
	declare STATIC_SLOT(Destroy)
	declare STATIC_SLOT(PaintEvent)
	declare STATIC_SLOT(resizeEvent)

endgclass


end namespace
