#include once "mud-gui/gclass.bi"
#include once "mud-gui/util.bi"
#include once "mud-gui/event.bi"
#include once "mud-gui/widgets/basewidget.bi"
#Include Once "mud-gui/widgets/PushButton.bi"
#Include Once "mud-gui/widgets/GridLayout.bi"
#Include Once "mud-gui/widgets/LineEdit.bi"

#inclib "mudgui-stdwidgets"

#IFNDEF __UI_WIDGETS_DBLSPINBOX_BI__
#DEFINE __UI_WIDGETS_DBLSPINBOX_BI__ 1

namespace ui

gclass(DblSpinBox)


	declare constructor ( byval parent as BaseWidget ptr = 0, ByVal _val_ As double = 0.0, byval _step_ as double = .1 )

	DEF_PROPERTY( step_, double )
	DEF_PROPERTY( minimum, double )
	DEF_PROPERTY( maximum, double )
	DEF_PROPERTY( rollover, ubyte )
	DEF_BYREF_PROPERTY( formatString, string )
	DEF_BPROPERTY( value, double )

	'signals
	Declare STATIC_SLOT(resize_handler)
	Declare STATIC_SLOT(m_up_clicked)
	Declare STATIC_SLOT(m_down_clicked)
	
	
	As GridLayout Ptr m_gl
	As PushButton Ptr m_up, m_down
	As LineEdit Ptr m_le

endgclass


end Namespace

#ENDIF
