#include once "mud-gui/ui.bi"
#include once "mud-gui/gclass.bi"
#include once "mud-gui/util.bi"
#include once "mud-gui/event.bi"
#include once "mud-gui/widgets/basewidget.bi"

#inclib "mudgui-stdwidgets"

namespace ui

gclass(LineEdit)


	declare constructor ( byval parent as BaseWidget ptr = 0, byval _text_ as string = "" )
	
	DEF_BYREF_PROPERTY( text, string )
	DEF_PROPERTY( editable, ubyte )
	DEF_BPROPERTY( minimumWidth, integer )
	DEF_BPROPERTY( minimumHeight, integer )
	
	'slots
	declare STATIC_SLOT(Destroy)
	declare STATIC_SLOT(PaintEvent)
	declare STATIC_SLOT(resizeEvent)
	declare STATIC_SLOT(timerEvent)
	declare STATIC_SLOT(keystrokeEvent)
	declare STATIC_SLOT(clickEvent)
	
	as integer m_cursor
	
endgclass


end namespace